CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

镜头长度属性 (ActiveX)

2023-1-3 12:08| 发布者: admin| 查看: 447| 评论: 0|来自: AutoCAD

摘要: 指定透视查看中使用的镜头长度。

指定透视查看中使用的镜头长度。

支持的平台:仅窗口

签名

工 务 局:

object.LensLength
对象

类型:光伏港

此属性适用的对象。

属性值

只读:

类型:

镜头的长度(以毫米为单位)。

言论

注意:此属性的值存储在 LENSLENGTH 系统变量中。

例子

工 务 局:

Sub Example_LensLength()
    ' This example creates a new paper space viewport.
    ' It then displays the lens length of the viewport.
    
    Dim pviewportObj As AcadPViewport
    Dim center(0 To 2) As Double
    Dim width As Double
    Dim height As Double
    
    ' Define the paper space viewport
    center(0) = 3: center(1) = 3: center(2) = 0
    width = 40
    height = 40
    
    ' Change from model space to paper space
    ThisDrawing.ActiveSpace = acPaperSpace

    ' Create the paper space viewport
    Set pviewportObj = ThisDrawing.PaperSpace.AddPViewport(center, width, height)
    pviewportObj.DISPLAY True
    ThisDrawing.mspace = True
    ThisDrawing.ActivePViewport = pviewportObj
    ThisDrawing.Regen acAllViewports
    
    ' Find the Lens Length for the viewport
    Dim lenslgnth As Double
    lenslgnth = pviewportObj.LensLength
    MsgBox "The lens length of the paperspace viewport is " & pviewportObj.LensLength, , "LensLength Example"

End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_LensLength()
    ;; This example creates a new paper space viewport.
    ;; It then displays the lens length of the viewport.
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
  
    ;; Define the paper space viewport
    (setq center (vlax-3d-point 3 3 0)
          width 40
          height 40)
    
    ;; Change from model space to paper space
    (vla-put-ActiveSpace doc acPaperSpace)

    ;; Create the paper space viewport
    (setq paperSpace (vla-get-PaperSpace doc))
    (setq pviewportObj (vla-AddPViewport paperSpace center width height))

    (vla-Display pviewportObj :vlax-true)
    (vla-put-MSpace doc :vlax-true)
    (vla-put-ActivePViewport doc pviewportObj)
    (vla-Regen doc acAllViewports)
    
    ;; Find the Lens Length for the viewport
    (setq lenslgnth (vla-get-LensLength pviewportObj))
    (alert (strcat "The lens length of the paperspace viewport is " (rtos lenslgnth 2)))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-19 15:55

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部